#!/bin/bash
# Place inside your XEvil directory alongside the Music directory

# Launches XEvil
cd "${0%/*}"
./xevil -smooth_scroll &

# Changes to music directory
cd music

# Defines MIDI player (default is playmidi)
# If using a player other than playmidi remove -p and -t paramaters
midiPlayer=playmidi

# Randomly loops level music
while :
do
# Sets a randum number between 0 and 6
 ranNum=$((0 + $RANDOM % 6))

# Uses random number to determine a track
 if [ $ranNum -eq 0 ]; then
  $midiPlayer -p8,43 -t0.95 FIRE.MID
 elif [ $ranNum -eq 1 ] ; then
  $midiPlayer -p4,111,8,45,10,11 -t0.95 HIVE.MID
 elif [ $ranNum -eq 2 ]; then
  $midiPlayer -p2,89,10,56 -t0.95 KKKILL.MID
 elif [ $ranNum -eq 3 ]; then
  $midiPlayer -p10,118 NEWSONG.MID
 elif [ $ranNum -eq 4 ]; then
  $midiPlayer -p10,116 NIGHTSKY.MID
 elif [ $ranNum -eq 5 ]; then
  $midiPlayer -p2,9 -t0.95 SWEETDAR.MID
 elif [ $ranNum -eq 6 ]; then
  $midiPlayer -t0.95 ZEEPEEG.MID
 fi
done

